[RISOLTO] Delucidazione sui romset

Qui si parla di FinalBurn Alpha
Bloccato
Avatar utente
nikoh
Messaggi: 26
Iscritto il: gio giu 02, 2016 7:39 pm
Ha ringraziato: 0
È stato ringraziato: 0

[RISOLTO] Delucidazione sui romset

Messaggio da nikoh »

Salve a tutti, pongo una domanda:
Sto scaricando il romset 0.2.97.39 x fba; ho installato fba 0.2.97.42 quindi più recente del romset, i giochi dovrebbero partire tutti giusto?
Mi interessava capire la logica, cioè una versione di emulatore è sempre compatibile con romset più vecchi mentre viceversa non sempre giusto?
Grazie.

Avatar utente
Guybrush
Site Admin
Messaggi: 2340
Iscritto il: gio feb 25, 2016 6:33 pm
Ha ringraziato: 142 volte
È stato ringraziato: 152 volte

Re: Delucidazione sui romset

Messaggio da Guybrush »

nikoh ha scritto:Salve a tutti, pongo una domanda:
Sto scaricando il romset 0.2.97.39 x fba; ho installato fba 0.2.97.42 quindi più recente del romset, i giochi dovrebbero partire tutti giusto?
Mi interessava capire la logica, cioè una versione di emulatore è sempre compatibile con romset più vecchi mentre viceversa non sempre giusto?
Grazie.
No nikoh, non funziona così. Ogni versione del M.A.M.E. (in questo caso FinalBurn Alpha ma è uguale) funziona correttamente solo con la stessa versione del romset. Da una versione all'altra le roms possono cambiare nome, essere inserite in romset (per intenderci i files .zip) di nome diverso, derivare da dump migliori o comunque diversi delle schede, avere (come nell'ultimo caso) un hash diverso ecc.

Se il singolo romset (diciamo il gioco) non ha subìto nessuno di questi cambiamenti dalle versioni precedenti allora funziona, altrimenti no.

Non si devono mai fare mescoloni di roms ma usare MAME Set Rebuilder (vivamente consigliato), Clrmamepro, insomma un rom manager. Per Clrmamepro è presente la guida qui sul forum, è descritto il caso del downgrade perché più complicato, ma un upgrade ha bisogno comunque dei files giusti e della procedura giusta
"Dobbiamo costruire computer per le masse, non per le classi" J. Tramiel
_____________________________________________________________
Aiutiamo il forum con una donazione :-)

Hardware:
Raspberry Pi Model B Rev 2 (x2)
Raspberry Pi 3 Model B Rev 1.2

Bloccato